#!/bin/sh

## These were the files in use at the time this script was originally
## generated (%1$tF %1$tT by '%2$s')
javabin="%3$s"
javaargs="%5$s"
ewjar="%4$s"

## The initial splash logo can be skipped by uncommenting this line.
#nosplash='-splash:/dev/null'
## TODO cygwin should use NUL instead of /dev/null as the JRE is likely to be
## the native Windows executable

## Arguments to always pass to EW.  Most users can leave this empty.
ewargs=

## Nothing past this point *should* need to be modified.
######################

warn() {
	echo "Encryption Wizard: " "$*" 1>&2
}
error() {
	warn "$*"
	exit 1
}

if test ! -x "$javabin"; then
	# JAVA_HOME is seriously outdated by now
	warn "original JRE no longer available, trying JAVA_HOME"
	# test -n isn't quite right, but "${x+y}" requires bash, and "test -v"
	# requires recent bash
	if test -n "$JAVA_HOME"; then
		# TODO need to fix up JAVA_HOME for cygwin
		javabin="$JAVA_HOME/bin/java"
	else
		warn "JAVA_HOME not set, falling back on PATH"
		javabin=java
	fi
fi

if test ! -f "$ewjar"; then
	error "JAR file ($ewfile) missing"
fi

args=""
for arg in "$@"; do
	# TODO run file arguments through cygpath, else this is a no-op
	args="$args $arg"
done


"$javabin" $javaargs $nosplash -jar "$ewjar" $ewargs $args
exit $?

##
